View Issue Details

IDProjectCategoryView StatusLast Update
0027145mantisbtcode cleanuppublic2020-11-21 19:30
Reporterdregad Assigned Todregad  
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Target Version2.25.0Fixed in Version2.25.0 
Summary0027145: Convert Project and User Pref APIs to use DbQuery class
Description

Gradually converting legacy db_query() api calls to use the new DbQuery class introduced in 2.13.0.

This allows cleaner code and avoids potential issues with db_param_push() calls.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 1a8a64d0

2020-08-09 15:27:56

dregad

Details Diff
User prefs API: use DbQuery

Replace legacy db_query() calls.

Fixes 0027145
Affected Issues
0027145
mod - core/user_pref_api.php Diff File

MantisBT: master 682a182d

2020-08-09 16:16:31

dregad

Details Diff
Project API: use DbQuery

Replace legacy db_query() calls.

Fixes 0027145
Affected Issues
0027145
mod - core/project_api.php Diff File

MantisBT: master 96fc98cf

2020-11-21 14:55:22

dregad

Details Diff
Fix invalid query parameter name

Regression from 1a8a64d01ca2f406a8b9a9bb5b62d6deedf9b588.

Issue 0027145
Affected Issues
0027145
mod - core/user_pref_api.php Diff File

Issue History

Date Modified Username Field Change
2020-08-09 19:16 dregad New Issue
2020-08-09 19:16 dregad Status new => assigned
2020-08-09 19:16 dregad Assigned To => dregad
2020-08-17 04:08 dregad Changeset attached => MantisBT master 1a8a64d0
2020-08-17 04:08 dregad Changeset attached => MantisBT master 682a182d
2020-08-17 04:08 dregad Status assigned => resolved
2020-08-17 04:08 dregad Resolution open => fixed
2020-08-17 04:08 dregad Fixed in Version => 2.25.0
2020-11-21 19:30 dregad Changeset attached => MantisBT master 96fc98cf